<template>
  <div class="item">
    <img
      :src="getCheckboxIcon"
      alt
      @click="setCheckboxStatus"
      @mouseenter="isHover = true"
      @mouseleave="isHover = false"
      class="item-checkbox"
    />
    <span class="item-text">{{ text }}</span>
  </div>
</template>

<script>
export default {
  props: ["text", "isSelected"],
  data: () => ({
    isHover: false
  }),
  mounted() {},
  computed: {
    getCheckboxIcon() {
      if (this.isHover) {
        return require(`@/assets/images/checkbox_hover.svg`);
      } else {
        const type = this.isSelected ? "active" : "normal";
        return require(`@/assets/images/checkbox_${type}.svg`);
      }
    }
  },
  methods: {
    setCheckboxStatus() {
      this.$nextTick(() => {
        this.$emit("select", !this.isSelected);
      });
    }
  }
};
</script>

<style lang="scss" scoped>
.item {
  overflow-x: auto;
  display: block;
  padding: 4px 12px;
  &-checkbox {
    width: 12px;
    height: 12px;
    margin-right: 12px;
  }
  &-text {
    overflow-x: auto;
    /* Text 12 */
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 16px !important;
  }
  &:hover {
    cursor: pointer;
    background-color: #ebebeb;
    transition: background-color 0.1s ease-in;
  }
}
</style>
